import{s as se,n as ae,o as oe}from"../chunks/scheduler.b108d059.js";import{S as le,i as re,g as o,s,r as W,A as me,h as l,f as n,c as a,j as X,u as Y,x as r,k as Z,y as ce,a as i,v as ee,d as te,t as ne,w as ie}from"../chunks/index.008de539.js";import{H as fe,E as ge}from"../chunks/EditOnGithub.d1c48e3d.js";function pe(R){let m,L,w,y,c,H,f,F=`Text Embeddings Inference (TEI) is a comprehensive toolkit designed for efficient deployment and serving of open source
text embeddings models. It enables high-performance extraction for the most popular models, including FlagEmbedding, Ember, GTE, and E5.`,M,g,G="TEI offers multiple features tailored to optimize the deployment process and enhance overall performance.",$,p,O="<strong>Key Features:</strong>",I,u,U='<li><strong>Streamlined Deployment:</strong> TEI eliminates the need for a model graph compilation step for an easier deployment process.</li> <li><strong>Efficient Resource Utilization:</strong> Benefit from small Docker images and rapid boot times, allowing for true serverless capabilities.</li> <li><strong>Dynamic Batching:</strong> TEI incorporates token-based dynamic batching thus optimizing resource utilization during inference.</li> <li><strong>Optimized Inference:</strong> TEI leverages <a href="https://github.com/HazyResearch/flash-attention" rel="nofollow">Flash Attention</a>, <a href="https://github.com/huggingface/candle" rel="nofollow">Candle</a>, and <a href="https://docs.nvidia.com/cuda/cublas/#using-the-cublaslt-api" rel="nofollow">cuBLASLt</a> by using optimized transformers code for inference.</li> <li><strong>Safetensors weight loading:</strong> TEI loads <a href="https://github.com/huggingface/safetensors" rel="nofollow">Safetensors</a> weights for faster boot times.</li> <li><strong>Production-Ready:</strong> TEI supports distributed tracing through Open Telemetry and exports Prometheus metrics.</li>',P,h,j="<strong>Benchmarks</strong>",C,d,K='Benchmark for <a href="https://hf.co/BAAI/bge-large-en-v1.5" rel="nofollow">BAAI/bge-base-en-v1.5</a> on an NVIDIA A10 with a sequence length of 512 tokens:',z,b,N='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/tei/bs1-lat.png" width="400" alt="Latency comparison for batch size of 1"/> <img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/tei/bs1-tp.png" width="400" alt="Throughput comparison for batch size of 1"/>',k,v,Q='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/tei/bs32-lat.png" width="400" alt="Latency comparison for batch size of 32"/> <img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/tei/bs32-tp.png" width="400" alt="Throughput comparison for batch size of 32"/>',A,T,V="<strong>Getting Started:</strong>",S,x,J='To start using TEI, check the <a href="quick_tour">Quick Tour</a> guide.',B,_,q,E,D;return c=new fe({props:{title:"Text Embeddings Inference",local:"text-embeddings-inference",headingTag:"h1"}}),_=new ge({props:{source:"https://github.com/huggingface/text-embeddings-inference/blob/main/docs/source/en/index.md"}}),{c(){m=o("meta"),L=s(),w=o("p"),y=s(),W(c.$$.fragment),H=s(),f=o("p"),f.textContent=F,M=s(),g=o("p"),g.textContent=G,$=s(),p=o("p"),p.innerHTML=O,I=s(),u=o("ul"),u.innerHTML=U,P=s(),h=o("p"),h.innerHTML=j,C=s(),d=o("p"),d.innerHTML=K,z=s(),b=o("p"),b.innerHTML=N,k=s(),v=o("p"),v.innerHTML=Q,A=s(),T=o("p"),T.innerHTML=V,S=s(),x=o("p"),x.innerHTML=J,B=s(),W(_.$$.fragment),q=s(),E=o("p"),this.h()},l(e){const t=me("svelte-u9bgzb",document.head);m=l(t,"META",{name:!0,content:!0}),t.forEach(n),L=a(e),w=l(e,"P",{}),X(w).forEach(n),y=a(e),Y(c.$$.fragment,e),H=a(e),f=l(e,"P",{"data-svelte-h":!0}),r(f)!=="svelte-g5xgrp"&&(f.textContent=F),M=a(e),g=l(e,"P",{"data-svelte-h":!0}),r(g)!=="svelte-1afmapv"&&(g.textContent=G),$=a(e),p=l(e,"P",{"data-svelte-h":!0}),r(p)!=="svelte-dcww01"&&(p.innerHTML=O),I=a(e),u=l(e,"UL",{"data-svelte-h":!0}),r(u)!=="svelte-ziger0"&&(u.innerHTML=U),P=a(e),h=l(e,"P",{"data-svelte-h":!0}),r(h)!=="svelte-q2uj9l"&&(h.innerHTML=j),C=a(e),d=l(e,"P",{"data-svelte-h":!0}),r(d)!=="svelte-1rcc639"&&(d.innerHTML=K),z=a(e),b=l(e,"P",{"data-svelte-h":!0}),r(b)!=="svelte-1tzh58b"&&(b.innerHTML=N),k=a(e),v=l(e,"P",{"data-svelte-h":!0}),r(v)!=="svelte-1ccb8mt"&&(v.innerHTML=Q),A=a(e),T=l(e,"P",{"data-svelte-h":!0}),r(T)!=="svelte-1hbycvq"&&(T.innerHTML=V),S=a(e),x=l(e,"P",{"data-svelte-h":!0}),r(x)!=="svelte-15zyol4"&&(x.innerHTML=J),B=a(e),Y(_.$$.fragment,e),q=a(e),E=l(e,"P",{}),X(E).forEach(n),this.h()},h(){Z(m,"name","hf:doc:metadata"),Z(m,"content",ue)},m(e,t){ce(document.head,m),i(e,L,t),i(e,w,t),i(e,y,t),ee(c,e,t),i(e,H,t),i(e,f,t),i(e,M,t),i(e,g,t),i(e,$,t),i(e,p,t),i(e,I,t),i(e,u,t),i(e,P,t),i(e,h,t),i(e,C,t),i(e,d,t),i(e,z,t),i(e,b,t),i(e,k,t),i(e,v,t),i(e,A,t),i(e,T,t),i(e,S,t),i(e,x,t),i(e,B,t),ee(_,e,t),i(e,q,t),i(e,E,t),D=!0},p:ae,i(e){D||(te(c.$$.fragment,e),te(_.$$.fragment,e),D=!0)},o(e){ne(c.$$.fragment,e),ne(_.$$.fragment,e),D=!1},d(e){e&&(n(L),n(w),n(y),n(H),n(f),n(M),n(g),n($),n(p),n(I),n(u),n(P),n(h),n(C),n(d),n(z),n(b),n(k),n(v),n(A),n(T),n(S),n(x),n(B),n(q),n(E)),n(m),ie(c,e),ie(_,e)}}}const ue='{"title":"Text Embeddings Inference","local":"text-embeddings-inference","sections":[],"depth":1}';function he(R){return oe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Te extends le{constructor(m){super(),re(this,m,he,pe,se,{})}}export{Te as component};
